Tracking Information (Carrier)
Endpoints to create, read, and act on the tracking information of a parcel.
This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves all found tracking information using the passed search parameters.
Ordering of the found tracking information.
CREATED_ASCPossible values: Amount of results of this call.
5Used for pagination, return sorted results after this id.
2d19415f-a8e6-4480-aa7d-e72ad85716a2Flag to specify if the result should include a sum of all possible found values for this filter.
falseExample: truePossible facility refs to filter by
c8fe61e3-ba3f-461e-bc14-8fc610ce4cc2Connected shipping information ref to filter by
3d844fea-c9d0-4386-841c-d688cb205df3Successfully retrieved all trackingInformation matching the given parameters.
TrackingInformationListResponse
Total number of found tracking information for the given search parameters
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/trackinginformation HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"totalCount": 42,
"trackingInformation": [
{
"carrierRef": "283554a4-1ba5-459b-9bf2-59bc9c68f60e",
"carrierStatus": {
"code": "SOME_CODE",
"status": "SOME_VALUE"
},
"carrierStatusSet": "2020-02-03T08:45:50.525Z",
"created": "2020-02-03T08:45:50.525Z",
"facilityRef": "f7fcd0a1-d269-42d9-8322-ba8f354ca6a0",
"id": "d7058a3c-e57d-45dc-b024-e1725bb09541",
"labelRef": "3b06b80c-55ae-4e0e-af1d-8843d901e9ed",
"labelUrl": "https://www.example.com/label.pdf",
"lastModified": "2020-02-03T08:45:50.525Z",
"shippingInformationRef": "9d88d014-5627-4f01-96fe-80c5621d268d",
"status": "IN_PROGRESS",
"trackingHistory": [
{
"carrierStatus": "CA_DELIVERY",
"carrierStatusSet": "2020-02-03T08:45:50.525Z",
"id": "066960e1-630c-4b13-b0b5-58d537190107",
"status": "DELIVERED",
"statusSet": "2020-02-03T08:45:50.525Z"
}
],
"trackingNumber": "000123456",
"trackingStatus": "DELIVERED",
"trackingStatusSet": "2020-02-03T08:45:50.525Z",
"trackingUrl": "https://www.example.com/tracking:000123456",
"type": "RETURN",
"version": 42
}
]
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Creates a new tracking information.
TrackingInformationForCreation
Reference to the connected carrier
283554a4-1ba5-459b-9bf2-59bc9c68f60eReference to the connected label
3b06b80c-55ae-4e0e-af1d-8843d901e9edThe URL to the label for this tracking information.
https://www.example.com/label.pdfReference to the connected shipping information
9d88d014-5627-4f01-96fe-80c5621d268dTracking number of the connected label
000123456Url to the tracking page of the given carrier and tracking number
https://www.example.com/tracking:000123456Type of this tracking information
RETURNPossible values: Successfully created the trackingInformation.
TrackingInformation
Reference to the connected carrier
283554a4-1ba5-459b-9bf2-59bc9c68f60eStatus of the latest tracking information event status.
{"code":"SOME_CODE","status":"SOME_VALUE"}Creation timestamp of the latest tracking information event status.
2020-02-03T08:45:50.525ZCreation date of this tracking information
2020-02-03T08:45:50.525ZReference to the connected facility ref via the connected shipping information
f7fcd0a1-d269-42d9-8322-ba8f354ca6a0Unique identifier of this tracking information
d7058a3c-e57d-45dc-b024-e1725bb09541Reference to the connected label
3b06b80c-55ae-4e0e-af1d-8843d901e9edThe URL to the label for this tracking information.
https://www.example.com/label.pdfLast modification date of this tracking information
2020-02-03T08:45:50.525ZReference to the connected shipping information
9d88d014-5627-4f01-96fe-80c5621d268dStatus of the tracking information entity. Will either be set by the workflow or calculated from the event history.
IN_PROGRESSPossible values: Tracking number of the connected label
000123456Latest tracking information event status. Based on the found tracking event history.
DELIVEREDPossible values: Creation timestamp of the latest tracking information event.
2020-02-03T08:45:50.525ZUrl to the tracking page of the given carrier and tracking number
https://www.example.com/tracking:000123456Type of this tracking information
RETURNPossible values: Version number of this tracking information
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
POST /api/trackinginformation HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 476
{
"carrierRef": "283554a4-1ba5-459b-9bf2-59bc9c68f60e",
"labelRef": "3b06b80c-55ae-4e0e-af1d-8843d901e9ed",
"labelUrl": "https://www.example.com/label.pdf",
"shippingInformationRef": "9d88d014-5627-4f01-96fe-80c5621d268d",
"trackingHistory": [
{
"carrierStatus": "CA_DELIVERY",
"carrierStatusSet": "2020-02-03T08:45:50.525Z",
"status": "DELIVERED",
"statusSet": "2020-02-03T08:45:50.525Z"
}
],
"trackingNumber": "000123456",
"trackingUrl": "https://www.example.com/tracking:000123456",
"type": "RETURN"
}{
"carrierRef": "283554a4-1ba5-459b-9bf2-59bc9c68f60e",
"carrierStatus": {
"code": "SOME_CODE",
"status": "SOME_VALUE"
},
"carrierStatusSet": "2020-02-03T08:45:50.525Z",
"created": "2020-02-03T08:45:50.525Z",
"facilityRef": "f7fcd0a1-d269-42d9-8322-ba8f354ca6a0",
"id": "d7058a3c-e57d-45dc-b024-e1725bb09541",
"labelRef": "3b06b80c-55ae-4e0e-af1d-8843d901e9ed",
"labelUrl": "https://www.example.com/label.pdf",
"lastModified": "2020-02-03T08:45:50.525Z",
"shippingInformationRef": "9d88d014-5627-4f01-96fe-80c5621d268d",
"status": "IN_PROGRESS",
"trackingHistory": [
{
"carrierStatus": "CA_DELIVERY",
"carrierStatusSet": "2020-02-03T08:45:50.525Z",
"id": "066960e1-630c-4b13-b0b5-58d537190107",
"status": "DELIVERED",
"statusSet": "2020-02-03T08:45:50.525Z"
}
],
"trackingNumber": "000123456",
"trackingStatus": "DELIVERED",
"trackingStatusSet": "2020-02-03T08:45:50.525Z",
"trackingUrl": "https://www.example.com/tracking:000123456",
"type": "RETURN",
"version": 42
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves a single tracking information using its unique identifier.
Successfully retrieved the trackingInformation.
TrackingInformation
Reference to the connected carrier
283554a4-1ba5-459b-9bf2-59bc9c68f60eStatus of the latest tracking information event status.
{"code":"SOME_CODE","status":"SOME_VALUE"}Creation timestamp of the latest tracking information event status.
2020-02-03T08:45:50.525ZCreation date of this tracking information
2020-02-03T08:45:50.525ZReference to the connected facility ref via the connected shipping information
f7fcd0a1-d269-42d9-8322-ba8f354ca6a0Unique identifier of this tracking information
d7058a3c-e57d-45dc-b024-e1725bb09541Reference to the connected label
3b06b80c-55ae-4e0e-af1d-8843d901e9edThe URL to the label for this tracking information.
https://www.example.com/label.pdfLast modification date of this tracking information
2020-02-03T08:45:50.525ZReference to the connected shipping information
9d88d014-5627-4f01-96fe-80c5621d268dStatus of the tracking information entity. Will either be set by the workflow or calculated from the event history.
IN_PROGRESSPossible values: Tracking number of the connected label
000123456Latest tracking information event status. Based on the found tracking event history.
DELIVEREDPossible values: Creation timestamp of the latest tracking information event.
2020-02-03T08:45:50.525ZUrl to the tracking page of the given carrier and tracking number
https://www.example.com/tracking:000123456Type of this tracking information
RETURNPossible values: Version number of this tracking information
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/trackinginformation/{trackingInformationId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"carrierRef": "283554a4-1ba5-459b-9bf2-59bc9c68f60e",
"carrierStatus": {
"code": "SOME_CODE",
"status": "SOME_VALUE"
},
"carrierStatusSet": "2020-02-03T08:45:50.525Z",
"created": "2020-02-03T08:45:50.525Z",
"facilityRef": "f7fcd0a1-d269-42d9-8322-ba8f354ca6a0",
"id": "d7058a3c-e57d-45dc-b024-e1725bb09541",
"labelRef": "3b06b80c-55ae-4e0e-af1d-8843d901e9ed",
"labelUrl": "https://www.example.com/label.pdf",
"lastModified": "2020-02-03T08:45:50.525Z",
"shippingInformationRef": "9d88d014-5627-4f01-96fe-80c5621d268d",
"status": "IN_PROGRESS",
"trackingHistory": [
{
"carrierStatus": "CA_DELIVERY",
"carrierStatusSet": "2020-02-03T08:45:50.525Z",
"id": "066960e1-630c-4b13-b0b5-58d537190107",
"status": "DELIVERED",
"statusSet": "2020-02-03T08:45:50.525Z"
}
],
"trackingNumber": "000123456",
"trackingStatus": "DELIVERED",
"trackingStatusSet": "2020-02-03T08:45:50.525Z",
"trackingUrl": "https://www.example.com/tracking:000123456",
"type": "RETURN",
"version": 42
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Handle Action on an existing tracking information.
Successfully handled the action on the tracking information.
TrackingInformation
Reference to the connected carrier
283554a4-1ba5-459b-9bf2-59bc9c68f60eStatus of the latest tracking information event status.
{"code":"SOME_CODE","status":"SOME_VALUE"}Creation timestamp of the latest tracking information event status.
2020-02-03T08:45:50.525ZCreation date of this tracking information
2020-02-03T08:45:50.525ZReference to the connected facility ref via the connected shipping information
f7fcd0a1-d269-42d9-8322-ba8f354ca6a0Unique identifier of this tracking information
d7058a3c-e57d-45dc-b024-e1725bb09541Reference to the connected label
3b06b80c-55ae-4e0e-af1d-8843d901e9edThe URL to the label for this tracking information.
https://www.example.com/label.pdfLast modification date of this tracking information
2020-02-03T08:45:50.525ZReference to the connected shipping information
9d88d014-5627-4f01-96fe-80c5621d268dStatus of the tracking information entity. Will either be set by the workflow or calculated from the event history.
IN_PROGRESSPossible values: Tracking number of the connected label
000123456Latest tracking information event status. Based on the found tracking event history.
DELIVEREDPossible values: Creation timestamp of the latest tracking information event.
2020-02-03T08:45:50.525ZUrl to the tracking page of the given carrier and tracking number
https://www.example.com/tracking:000123456Type of this tracking information
RETURNPossible values: Version number of this tracking information
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
POST /api/trackinginformation/{trackingInformationId}/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 199
{
"name": "ADD_TRACKING_EVENTS",
"trackingEvents": [
{
"carrierStatus": "CA_DELIVERY",
"carrierStatusSet": "2020-02-03T08:45:50.525Z",
"status": "DELIVERED",
"statusSet": "2020-02-03T08:45:50.525Z"
}
],
"version": 2
}{
"carrierRef": "283554a4-1ba5-459b-9bf2-59bc9c68f60e",
"carrierStatus": {
"code": "SOME_CODE",
"status": "SOME_VALUE"
},
"carrierStatusSet": "2020-02-03T08:45:50.525Z",
"created": "2020-02-03T08:45:50.525Z",
"facilityRef": "f7fcd0a1-d269-42d9-8322-ba8f354ca6a0",
"id": "d7058a3c-e57d-45dc-b024-e1725bb09541",
"labelRef": "3b06b80c-55ae-4e0e-af1d-8843d901e9ed",
"labelUrl": "https://www.example.com/label.pdf",
"lastModified": "2020-02-03T08:45:50.525Z",
"shippingInformationRef": "9d88d014-5627-4f01-96fe-80c5621d268d",
"status": "IN_PROGRESS",
"trackingHistory": [
{
"carrierStatus": "CA_DELIVERY",
"carrierStatusSet": "2020-02-03T08:45:50.525Z",
"id": "066960e1-630c-4b13-b0b5-58d537190107",
"status": "DELIVERED",
"statusSet": "2020-02-03T08:45:50.525Z"
}
],
"trackingNumber": "000123456",
"trackingStatus": "DELIVERED",
"trackingStatusSet": "2020-02-03T08:45:50.525Z",
"trackingUrl": "https://www.example.com/tracking:000123456",
"type": "RETURN",
"version": 42
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Search for TrackingInformation
TrackingInformationSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
TrackingInformationPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/trackinginformation/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 4207
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"labelRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": "[Circular Reference]",
"shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"trackingNumber": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
}
],
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"labelRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": [
{
"and": "[Circular Reference]",
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"labelRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": "[Circular Reference]",
"shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"trackingNumber": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
}
],
"shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"trackingNumber": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
}
],
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"labelRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": [
{
"and": "[Circular Reference]",
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"labelRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": "[Circular Reference]",
"shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"trackingNumber": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
}
],
"shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"trackingNumber": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"size": 10,
"sort": [
{
"created": "ASC",
"lastModified": "ASC"
}
]
}{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"total": 1,
"trackingInformations": [
{
"carrierRef": "283554a4-1ba5-459b-9bf2-59bc9c68f60e",
"carrierStatus": {
"code": "SOME_CODE",
"status": "SOME_VALUE"
},
"carrierStatusSet": "2020-02-03T08:45:50.525Z",
"created": "2020-02-03T08:45:50.525Z",
"facilityRef": "f7fcd0a1-d269-42d9-8322-ba8f354ca6a0",
"id": "d7058a3c-e57d-45dc-b024-e1725bb09541",
"labelRef": "3b06b80c-55ae-4e0e-af1d-8843d901e9ed",
"labelUrl": "https://www.example.com/label.pdf",
"lastModified": "2020-02-03T08:45:50.525Z",
"shippingInformationRef": "9d88d014-5627-4f01-96fe-80c5621d268d",
"status": "IN_PROGRESS",
"trackingHistory": [
{
"carrierStatus": "CA_DELIVERY",
"carrierStatusSet": "2020-02-03T08:45:50.525Z",
"id": "066960e1-630c-4b13-b0b5-58d537190107",
"status": "DELIVERED",
"statusSet": "2020-02-03T08:45:50.525Z"
}
],
"trackingNumber": "000123456",
"trackingStatus": "DELIVERED",
"trackingStatusSet": "2020-02-03T08:45:50.525Z",
"trackingUrl": "https://www.example.com/tracking:000123456",
"type": "RETURN",
"version": 42
}
]
}Last updated
Was this helpful?

